package com.ynet.life.util;

import com.ynet.gene.core.Context;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.io.File;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.parsers.DocumentBuilderFactory;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

/* loaded from: com_ynet_life_util.jar:com/ynet/life/util/LoafMacUtil.class */
public class LoafMacUtil {
    private static final String XML_TAG_ITEM_ID = "businessCode";
    private static final String XML_TAG_SUB_BSNCODE = "subBusinessCode";
    private static final String XML_TAG_TABLE_NAME = "tableName";
    private static final String XML_TAG_DATA_FIELD = "dataField";
    private static final String XML_TAG_TABLE_FIELD = "tableField";
    public static Map TABLE_CONFIG_MAP = new HashMap();
    private Node rootNode;

    private LoafMacUtil(String filePath) {
        String rootPath = LifeStandard.getRootPath();
        String fileName = String.valueOf(rootPath) + filePath;
        try {
            DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
            factory.setValidating(false);
            NodeList list = factory.newDocumentBuilder().parse(new File(fileName)).getChildNodes();
            for (int i = 0; i < list.getLength(); i++) {
                if (list.item(i) instanceof Element) {
                    this.rootNode = list.item(i);
                    return;
                }
            }
        } catch (Exception ex) {
            Trace.logError("LOAF", "读入配置文件失败", ex);
        }
    }

    public static void initMac(String filePath) {
        new LoafMacUtil(filePath).createConfigs();
    }

    private void createConfigs() {
        Node tableFieldNode;
        Node tableFieldNode2;
        NodeList configNodeList = this.rootNode.getChildNodes();
        int size = configNodeList.getLength();
        for (int i = 0; i < size; i++) {
            Node node = configNodeList.item(i);
            if (node.getNodeType() == 1) {
                Node itemIdNode = node.getAttributes().getNamedItem(XML_TAG_ITEM_ID);
                Node subBusinessNode = node.getAttributes().getNamedItem(XML_TAG_SUB_BSNCODE);
                Node tableNameNode = node.getAttributes().getNamedItem(XML_TAG_TABLE_NAME);
                if (itemIdNode != null && tableNameNode != null) {
                    String businessCode = itemIdNode.getNodeValue().trim();
                    String subBusinessCode = subBusinessNode == null ? null : subBusinessNode.getNodeValue().trim();
                    String tableName = tableNameNode.getNodeValue();
                    HashMap hashMap = new HashMap();
                    hashMap.put(XML_TAG_ITEM_ID, businessCode);
                    hashMap.put(XML_TAG_SUB_BSNCODE, subBusinessCode);
                    hashMap.put(XML_TAG_TABLE_NAME, tableName);
                    NodeList fieldNodeList = node.getChildNodes();
                    int languageNodeSize = fieldNodeList.getLength();
                    ArrayList primarykeyList = new ArrayList();
                    ArrayList macList = new ArrayList();
                    ArrayList writeMacList = new ArrayList();
                    for (int j = 0; j < languageNodeSize; j++) {
                        Node child = fieldNodeList.item(j);
                        if (child.getNodeType() == 1 && child != null) {
                            if (child.getNodeName().equals("primaryKey")) {
                                Node dataFieldNode = child.getAttributes().getNamedItem(XML_TAG_DATA_FIELD);
                                Node tableFieldNode3 = child.getAttributes().getNamedItem(XML_TAG_TABLE_FIELD);
                                if (dataFieldNode != null && tableFieldNode3 != null) {
                                    String dataFieldName = getNode(dataFieldNode);
                                    String tableFieldName = getNode(tableFieldNode3);
                                    HashMap perMap = new HashMap();
                                    perMap.put(XML_TAG_DATA_FIELD, dataFieldName);
                                    perMap.put(XML_TAG_TABLE_FIELD, tableFieldName);
                                    primarykeyList.add(perMap);
                                }
                            }
                            if (child.getNodeName().equals("macField") && (tableFieldNode2 = child.getAttributes().getNamedItem(XML_TAG_TABLE_FIELD)) != null) {
                                String macFieldName = getNode(tableFieldNode2);
                                macList.add(macFieldName);
                            }
                            if (child.getNodeName().equals("destField") && (tableFieldNode = child.getAttributes().getNamedItem(XML_TAG_TABLE_FIELD)) != null) {
                                String destFieldName = getNode(tableFieldNode);
                                writeMacList.add(destFieldName);
                            }
                        }
                    }
                    hashMap.put("primaryKey", primarykeyList);
                    hashMap.put("mac", macList);
                    hashMap.put("writeMac", writeMacList);
                    TABLE_CONFIG_MAP.put(hashMap.get(XML_TAG_ITEM_ID), hashMap);
                }
            }
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v103 */
    /* JADX WARN: Type inference failed for: r0v104 */
    /* JADX WARN: Type inference failed for: r0v105 */
    /* JADX WARN: Type inference failed for: r0v106 */
    /* JADX WARN: Type inference failed for: r0v107 */
    /* JADX WARN: Type inference failed for: r0v108 */
    /* JADX WARN: Type inference failed for: r0v27, types: [java.util.List, java.util.ArrayList] */
    /* JADX WARN: Type inference failed for: r0v28 */
    /* JADX WARN: Type inference failed for: r0v29, types: [java.sql.SQLException] */
    /* JADX WARN: Type inference failed for: r0v30 */
    /* JADX WARN: Type inference failed for: r0v31, types: [java.sql.SQLException] */
    /* JADX WARN: Type inference failed for: r0v33, types: [java.sql.PreparedStatement] */
    /* JADX WARN: Type inference failed for: r0v34, types: [java.sql.ResultSet] */
    /* JADX WARN: Type inference failed for: r0v35, types: [java.lang.Throwable, com.ynet.life.exception.TranFailException] */
    /* JADX WARN: Type inference failed for: r0v40 */
    /* JADX WARN: Type inference failed for: r0v41, types: [java.sql.SQLException] */
    /* JADX WARN: Type inference failed for: r0v42 */
    /* JADX WARN: Type inference failed for: r0v43, types: [java.sql.SQLException] */
    /* JADX WARN: Type inference failed for: r0v45, types: [java.sql.PreparedStatement] */
    /* JADX WARN: Type inference failed for: r0v46, types: [java.sql.ResultSet] */
    /* JADX WARN: Type inference failed for: r0v53, types: [boolean] */
    public static List getMacColumnList(String str, Context context, Connection connection, String str2) throws TranFailException {
        ?? r0;
        int i;
        HashMap hashMap = (HashMap) TABLE_CONFIG_MAP.get(str);
        String str3 = (String) hashMap.get(XML_TAG_TABLE_NAME);
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("SELECT ");
        ArrayList arrayList = (ArrayList) hashMap.get("mac");
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            String str4 = (String) arrayList.get(i2);
            if (str4 != null && !"".equals(str4)) {
                stringBuffer.append(str4).append(",");
            }
        }
        if ("1".equals(str2)) {
            stringBuffer.append((String) ((ArrayList) hashMap.get("writeMac")).get(0)).append(",");
        }
        stringBuffer.deleteCharAt(stringBuffer.length() - 1);
        stringBuffer.append(" FROM ");
        stringBuffer.append(str3);
        ArrayList arrayList2 = (ArrayList) hashMap.get("primaryKey");
        if (arrayList2 != null && arrayList2.size() > 0) {
            stringBuffer.append(" WHERE ");
            for (int i3 = 0; i3 < arrayList2.size(); i3++) {
                HashMap hashMap2 = (HashMap) arrayList2.get(i3);
                String str5 = (String) hashMap2.get(XML_TAG_DATA_FIELD);
                String str6 = (String) hashMap2.get(XML_TAG_TABLE_FIELD);
                if (str5 != null && str6 != null && !"".equals(str5) && !"".equals(str6)) {
                    stringBuffer.append(str6).append("=").append("'" + (context.get(str5) == null ? "" : (String) context.get(str5)).trim() + "'").append(",");
                }
            }
        }
        stringBuffer.deleteCharAt(stringBuffer.length() - 1);
        PreparedStatement preparedStatement = null;
        ResultSet resultSet = null;
        ?? arrayList3 = new ArrayList();
        try {
            try {
                PreparedStatement prepareStatement = connection.prepareStatement(stringBuffer.toString());
                preparedStatement = prepareStatement;
                ResultSet executeQuery = prepareStatement.executeQuery();
                resultSet = executeQuery;
                boolean next = executeQuery.next();
                ?? r02 = next;
                if (next) {
                    int columnCount = resultSet.getMetaData().getColumnCount();
                    int i4 = 1;
                    while (true) {
                        i = i4;
                        if (i > columnCount) {
                            break;
                        }
                        arrayList3 = arrayList3.add(resultSet.getString(i4));
                        i4++;
                    }
                    r02 = i;
                }
                return arrayList3;
            } catch (SQLException e) {
                arrayList3 = new TranFailException("EBLN0000", "查询加密字段时出错:" + e.getMessage());
                throw arrayList3;
            }
        } finally {
            try {
                arrayList3 = resultSet;
                arrayList3.close();
                r0 = arrayList3;
            } catch (SQLException e2) {
                arrayList3.printStackTrace();
                r0 = arrayList3;
            }
            try {
                r0 = preparedStatement;
                r0.close();
            } catch (SQLException e3) {
                r0.printStackTrace();
            }
        }
    }

    private String getNode(Node dataFieldNode) {
        if (dataFieldNode == null) {
            return null;
        }
        return dataFieldNode.getNodeValue();
    }
}
